/*
Theme Name:   Passion Child Theme for Divi
Theme URI:    http://passion.divisoup.com
Description:  A Child Theme for Divi
Author:       Divi Soup
Author URI:   http://divisoup.com
Template:     Divi
Version:      1
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/


/*-----Colour Palette-----*/


/*Change values to those of yoour brand*/


/*Main Colour 1: HEX #58c1c4*/


/*-----Global Styles-----*/


/***Main Menu***/


/*Set the toggle colour*/

.mobile_menu_bar:before,
.et_toggle_slide_menu:after {
    color: #58C1C4 !important;
}


/*Adjust search field padding*/

.et_slide_menu_top,
.et_mobile_menu {
    padding: 28px 30px 28px 60px !important;
}


/*Set menu background image, size is 320 x 1080*/

.et_header_style_slide .et_slide_in_menu_container {
    background-color: transparent;
    background-image: url(https://divisoup.com/wp-content/uploads/sites/45/2017/07/menu.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    overflow-x: hidden;
}


/*Add the green bar to the left of the menu*/

.et_header_style_slide .et_slide_in_menu_container:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 30px;
    height: 100%;
    background: #58C1C4;
}


/*Set the seatch field text colour*/

.et_slide_menu_top .et-search-form input {
    color: #fff !important;
}


/*Set the menu item opacity*/

#mobile_menu_slide li a,
.et_slide_in_menu_container #mobile_menu_slide ul.sub-menu li {
    opacity: .6;
}


/*Set the menu item opacity on hover*/

#mobile_menu_slide li a:hover,
.et_slide_in_menu_container #mobile_menu_slide ul.sub-menu li:hover {
    opacity: 1 !important;
}


/*Add the arrows after the menu items for main menu and footer*/

#mobile_menu_slide li a:after,
.ds-footer-menu a:after {
    content: '→';
    color: #58C1C4;
    font-size: 20px;
    margin-left: 10px;
    position: relative;
    left: -30px;
    top: 0;
    opacity: 0;
    -webkit-transition: all 0.8s;
    transition: all 0.8s;
}


/*Display and move the arrows on hover*/

#mobile_menu_slide li a:hover:after,
.ds-footer-menu a:hover:after {
    left: 0;
    opacity: 1;
}


/*Adjust header width on smaller screens*/

@media only screen and (max-width: 980px) {
    .container.et_menu_container {
        width: 95%;
    }
}


/*Hide the Default Footer*/

#main-footer {
    display: none;
}


/***Global Footer - Edit this in the Divi Library***/


/*Contact Info*/


/*Remove margin on contact details*/

.ds-global-footer .et_pb_blurb_content {
    margin: 0;
}


/*Set social follow icon opacity*/

.ds-global-footer .et_pb_social_media_follow li a.icon:before {
    opacity: .5;
}


/*Set social follow icon opacity on hover*/

.ds-global-footer .et_pb_social_media_follow li a.icon:hover:before {
    color: #58C1C4;
    opacity: .5;
}


/*Style footer menu links*/

.ds-footer-menu a {
    color: #fff;
    opacity: .6;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}


/*Set footer menu link opacity on hover*/

.ds-footer-menu a:hover {
    opacity: 1;
}


/*Style the footer contact form input fields*/

.ds-global-footer .et_pb_contact p input,
.ds-global-footer .et_pb_contact p textarea {
    background: transparent;
    letter-spacing: 1px;
    font-family: "Open Sans", Arial, sans-serif;
    border-bottom: 3px solid rgba(255, 255, 255, .2);
}


/*Style the footer contact form input fields on focus*/

.ds-global-footer .et_pb_contact p input:focus,
.ds-global-footer .et_pb_contact p textarea:focus {
    border-bottom: 3px solid #58C1C4;
}


/*Center align the send button*/

.ds-global-footer .et_contact_bottom_container {
    float: none;
    margin-top: 30px;
    text-align: center;
}


/*Copyright*/


/*Set copyright link colour*/

.ds-copyright a {
    color: #58C1C4;
}


/***End Global Footer - Edit this in the Divi Library***/


/*Set z-index to 2 for layering*/

.ds-z-index2 {
    z-index: 2;
}


/*Custom Buttons*/


/*Adjust the button and icon transitions*/

.ds-button,
.ds-button.et_pb_custom_button_icon.et_pb_button:after {
    -webkit-transition: all 0.8s;
    transition: all 0.8s;
}


/*Default Buttons*/


/*Set default button colours*/

.et_pb_button {
    color: #fff;
    border-color: #fff;
}


/*Set default button colours on hover*/

.et_pb_button:hover {
    color: #fff;
    border-color: #58C1C4;
    background: #58C1C4;
}


/*Green rectangles*/


/*Right side rectangle (and menu rectangle)*/

.ds-rectangle-right:after,
.et_header_style_slide .et_slide_in_menu_container:after {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    top: -50%;
    right: -50%;
    background: #58C1C4;
    -webkit-transform: rotate(41.5deg);
    transform: rotate(41.5deg);
    opacity: .2;
    overflow: hidden;
}


/*Left side rectangle*/

.ds-rectangle-left:before {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    top: -50%;
    left: -50%;
    background: #58C1C4;
    -webkit-transform: rotate(-41.5deg);
    transform: rotate(-41.5deg);
    opacity: .2;
    overflow: hidden;
}


/*Prevent horizontal scroll*/

#page-container {
    overflow: hidden;
}


/*Set z-index on default pages*/

.single #main-content .container,
.archive #main-content .container,
.search #main-content .container {
    z-index: 2;
}


/*Show box shadow edges on smaller screens*/

@media only screen and (max-width: 980px) {
    .et_pb_section .et_pb_row {
        overflow: visible;
    }
}


/*Vertically align content*/

.ds-vertical-align {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}


/*Swap columns on mobile*/

@media only screen and (max-width: 479px) {
    .ds-swap-columns {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical !important;
        -webkit-box-direction: reverse !important;
        -ms-flex-direction: column-reverse !important;
        flex-direction: column-reverse !important;
    }
}


/***Main Styling***/


/*Fullwidth header*/


/*Style title text*/

.ds-main-header .header-content h1 {
    line-height: 4em;
    letter-spacing: 2px;
}


/*Style subtitle text*/

.ds-main-header .header-content .et_pb_fullwidth_header_subhead {
    letter-spacing: 4px;
    margin-bottom: 100px;
    color: #58C1C4;
}


/*Services Section*/


/*Position the blurbs*/

.ds-services-blurb {
    position: relative;
    z-index: 1;
}


/*Add border and shadow to images*/

.ds-services-blurb .et_pb_main_blurb_image img {
    border-right: 30px solid #58C1C4;
    -webkit-box-shadow: -12px 10px 68px -6px rgba(125, 125, 125, 1);
    box-shadow: -12px 10px 68px -6px rgba(125, 125, 125, 1);
}


/*Add left border before services text*/

.ds-services-blurb .et_pb_blurb_container {
    border-left: 3px solid rgba(0, 0, 0, .1);
    padding-left: 30px;
}


/*Position the title over the image*/

.ds-services-blurb.et_pb_blurb h4 a {
    position: absolute;
    margin-top: -85px;
}


/*Counter Section*/


/*Set icon colour*/

.ds-counters.et_pb_blurb .et-pb-icon {
    color: #58C1C4 !important;
}


/*Add the borders between counters and adjust for breakpoints*/

@media only screen and (min-width: 479px) {
    .ds-column-border-right {
        border-right: 3px solid rgba(255, 255, 255, .2);
    }
}

@media only screen and (min-width: 479px) and (max-width: 980px) {
    .ds-column-border-bottom {
        border-bottom: 3px solid rgba(255, 255, 255, .2);
    }
    .ds-column-border-none {
        border-right: none;
    }
}


/*Team Section*/


/*Add the border and shadow to the images*/

.ds-team .et_pb_team_member_image {
    border-right: 30px solid #58C1C4;
    -webkit-box-shadow: -12px 10px 68px -6px rgba(125, 125, 125, 1);
    box-shadow: -12px 10px 68px -6px rgba(125, 125, 125, 1);
}


/*Add the border before the text*/

.ds-team .et_pb_team_member_description {
    border-left: 3px solid rgba(0, 0, 0, .1);
    padding-left: 30px;
}


/*Position the title over the image*/

.ds-team .et_pb_team_member_description h4 {
    position: absolute;
    margin-top: -55px;
}

@media only screen and (max-width: 1024px) {
    .ds-team .et_pb_team_member_description h4 {
        font-size: 90% !Important;
    }
}

@media only screen and (max-width: 980px) {
    .et_pb_column .ds-team .et_pb_team_member_image {
        width: 100% !important;
        margin-bottom: 30px !important
    }
}


/*Set the colour of the social icons*/

.ds-team.et_pb_team_member .et_pb_member_social_links a {
    color: #58C1C4 !important;
}


/*News Section*/


/*Set form width*/

.ds-optin .et_pb_newsletter_form {
    width: 100%;
    padding-left: 0 !important;
}

@media only screen and (max-width: 980px) {
    .et_pb_column .ds-optin .et_pb_newsletter_form {
        width: 100%;
    }
}


/*Hide the description*/

.ds-optin .et_pb_newsletter_description {
    display: none;
}


/*Set field width*/

@media only screen and (min-width: 768px) {
    .ds-optin .et_pb_newsletter_form p {
        width: 22%;
        float: left;
        margin-right: 3%;
        padding-bottom: 0;
    }
}


/*Style the input text*/

.ds-optin .et_pb_newsletter_form p input {
    border-bottom: 3px solid rgba(255, 255, 255, .2) !important;
    letter-spacing: 1px;
    font-family: "Open Sans", Arial, sans-serif;
}


/*Change bottom border on field focus*/

.ds-optin .et_pb_newsletter_form p input.input:focus {
    border-bottom: 3px solid #58C1C4 !important;
}


/*Style the subscribe button*/

.ds-optin a.et_pb_newsletter_button.et_pb_button {
    color: #fff !important;
    border-color: #58C1C4;
    background: #58C1C4;
}

@media only screen and (max-width: 767px) {
    .ds-optin a.et_pb_newsletter_button.et_pb_button {
        margin-top: 30px
    }
}


/*Style the subscribe button on hover*/

.ds-optin a.et_pb_newsletter_button.et_pb_button:hover {
    border-color: #fff !important;
    color: #fff !important;
    background: transparent !important;
}


/*Client Logo Carousel Section*/


/*Position the section*/

.ds-clients-section {
    z-index: 0;
}


/*Hide the overflow for each row*/

.ds-clients-1,
.ds-clients-2,
.ds-clients-3,
.ds-clients-4 {
    overflow: hidden;
}


/*Position and define animation settings for logos row 1 and stop the animation after 1 iteration*/

.ds-clients-1 {
    z-index: 1 !important;
    position: relative;
    -webkit-animation: 15s first 1 linear;
    animation: 15s first 1 linear;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}


/*Position and define animation settings for logos row 2*/

.ds-clients-2 {
    position: absolute;
    top: 0;
    z-index: 1;
    -webkit-animation: 45s second infinite linear;
    animation: 45s second infinite linear;
}


/*Position and define animation settings for logos row 3*/

.ds-clients-3 {
    position: absolute;
    top: 0;
    z-index: 1;
    -webkit-animation: 45s third infinite linear;
    animation: 45s third infinite linear;
    -webkit-animation-delay: 15s;
    animation-delay: 15s;
    opacity: 0;
}


/*Position and define animation settings for logos row 4*/


/*The logos in this row must be the same as those in the first row*/

.ds-clients-4 {
    position: absolute;
    top: 0;
    z-index: 1;
    -webkit-animation: 45s fourth infinite linear;
    animation: 45s fourth infinite linear;
    -webkit-animation-delay: 30s;
    animation-delay: 30s;
    opacity: 0;
}


/*Pause all logo animation on section hover*/

.ds-clients-section:hover .ds-clients-1,
.ds-clients-section:hover .ds-clients-2,
.ds-clients-section:hover .ds-clients-3,
.ds-clients-section:hover .ds-clients-4 {
    -webkit-animation-play-state: paused;
    animation-play-state: paused;
}


/*Animation for logos row 1 */


/*This animation plays once only*/

@-webkit-keyframes first {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        display: none;
    }
    0.01% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        display: block;
    }
    99.99% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        display: block;
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        display: none;
    }
}

@keyframes first {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        display: none;
    }
    0.01% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        display: block;
    }
    99.99% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        display: block;
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        display: none;
    }
}


/*Animation for logos row 2 */

@-webkit-keyframes second {
    0% {
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
    }
    66.66% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}

@keyframes second {
    0% {
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
    }
    66.66% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}


/*Animation for logos row 3 */

@-webkit-keyframes third {
    0.01% {
        opacity: 0;
    }
    0.02% {
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
        opacity: 1;
    }
    66.66% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        opacity: 1;
    }
}

@keyframes third {
    0.01% {
        opacity: 0;
    }
    0.02% {
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
        opacity: 1;
    }
    66.66% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        opacity: 1;
    }
}


/*Animation for logos row 4 */

@-webkit-keyframes fourth {
    0.01% {
        opacity: 0;
    }
    0.02% {
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
        opacity: 1;
    }
    66.66% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        opacity: 1;
    }
}

@keyframes fourth {
    0.01% {
        opacity: 0;
    }
    0.02% {
        -webkit-transform: translateX(100%);
        transform: translateX(100%);
        opacity: 1;
    }
    66.66% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
        opacity: 1;
    }
    100% {
        -webkit-transform: translateX(-100%);
        transform: translateX(-100%);
    }
}


/*Keep single row on smaller screens*/

@media only screen and (max-width: 980px) {
    .ds-clients-section .et_pb_row_4col {
        -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
    }
}


/*Work Section*/


/*You can edit the words displayed over the images in the 'before' field in the adavnced tab in each of the modules.*/


/*Set the section to fullwidth*/

.ds-specialty-grid.et_pb_specialty_fullwidth > .et_pb_row {
    min-width: 100% !important;
    margin: 0;
}


/*Set column background colours*/

.ds-work-column-green {
    background: #58C1C4;
}

.ds-work-column-grey {
    background: rgba(0, 0, 0, .1);
}


/*Add transitions to the quotes*/

.ds-quote-text {
    position: relative;
    -webkit-transition: all 0.8s;
    transition: all 0.8s;
}


/*Style the quotations marks*/

.ds-quote-text mark {
    background: transparent;
    font-family: 'Playfair Display', Georgia, "Times New Roman", serif;
    font-size: 500%;
    position: absolute;
    opacity: .5;
    color: rgba(0, 0, 0, .5);
    background: transparent;
    margin-top: 30px;
    margin-left: -20px;
    display: block;
    z-index: -1;
}


/*Change colour for green quotation mark*/

.ds-quote-text-green mark {
    background: transparent;
    color: #58C1C4;
}


/*Scale quotes on row hover*/

.ds-specialty-grid.et_pb_specialty_fullwidth .et_pb_row_inner:hover .ds-quote-text {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}


/*Reduce quote text size on smaller screens*/

@media only screen and (max-width: 1280px) {
    .ds-quote-text p,
    .ds-quote-text-green p {
        font-size: 80%;
    }
}

@media only screen and (min-width: 981px) and (max-width: 1024px) {
    .ds-quote-text p,
    .ds-quote-text-green p {
        font-size: 60%;
    }
    .ds-quote-text .et_pb_text,
    .ds-quote-text-green .et_pb_text {
        margin-bottom: 20px;
    }
}

@media only screen and (max-width: 980px) {
    .ds-quote-text p,
    .ds-quote-text-green p {
        font-size: 100%;
    }
    .ds-quote-text .et_pb_text,
    .ds-quote-text-green .et_pb_text {
        margin-bottom: 20px;
    }
}

@media only screen and (max-width: 768px) {
    .ds-quote-text p,
    .ds-quote-text-green p {
        font-size: 70%;
    }
}

@media only screen and (max-width: 479px) {
    .ds-quote-text p,
    .ds-quote-text-green p {
        padding-top: 30px;
    }
}


/*Place and rotate the words over the images*/

.ds-process:before,
.ds-inspiration:before,
.ds-work:before {
    position: absolute;
    color: #fff;
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
    opacity: .5;
    z-index: 5;
}


/*Position the word 'Process'*/

.ds-process:before {
    left: -60px;
    bottom: 92px;
    font-size: 40px;
}


/*Position the word 'Inspiration'*/

.ds-inspiration:before {
    left: -100px;
    bottom: 130px;
    font-size: 40px;
}


/*Position the word 'Work'*/

.ds-work:before {
    font-size: 100px;
    left: -90px;
    bottom: 170px;
}

@media only screen and (max-width: 768px) {
    .ds-work:before {
        font-size: 70px;
    }
}

@media only screen and (max-width: 479px) {
    .ds-work:before {
        font-size: 40px;
        left: -35px;
        bottom: 70px;
    }
}


/*Blog Section*/


/*Position the posts*/

.ds-home-blog .et_pb_post {
    position: relative;
    max-width: 80%;
    z-index: 2;
}


/*Align images to the left and add border and shadow*/

.ds-home-blog .et_pb_post img {
    float: left;
    margin-right: 50px;
    width: 40%;
    border-right: 30px solid #58C1C4;
    -webkit-box-shadow: -12px 10px 68px -6px rgba(125, 125, 125, 1);
    box-shadow: -12px 10px 68px -6px rgba(125, 125, 125, 1);
}


/*Offset position of every other post*/

.ds-home-blog .et_pb_post:nth-child(even) {
    margin-left: 20%;
}


/*Add padding to the post title*/

.ds-home-blog .et_pb_post h2 {
    padding-top: 10px;
}

@media only screen and (max-width: 1440px) {
    .ds-home-blog .et_pb_post:nth-child(even) {
        margin-left: 10%;
    }
    .ds-home-blog .et_pb_post h2 {
        padding-top: 2;
        margin-top: 10px
    }
}

@media only screen and (max-width: 980px) {
    .ds-home-blog .et_pb_post:nth-child(even) {
        margin-left: 0
    }
    .ds-home-blog .et_pb_post {
        max-width: 100%;
    }
}


/*Position the category over the images*/

.ds-home-blog .et_pb_post .post-meta a {
    position: absolute;
    left: 20px;
    bottom: 20px;
}


/*Add the top and bottom borders to the posts*/

.ds-home-blog .et_pb_post:after,
.ds-home-blog .et_pb_post:before {
    content: '';
    position: relative;
    left: calc(40% + 50px);
    height: 3px;
    background-color: rgba(0, 0, 0, .1);
    visibility: visible;
}

.ds-home-blog .et_pb_post:after {
    width: calc(50% - 50px);
    top: -3px;
}

.ds-home-blog .et_pb_post:before {
    width: calc(60% - 50px);
    display: block;
    bottom: -3px;
}


/*Position and style the read more links*/

.ds-home-blog a.more-link {
    position: absolute;
    right: 0;
    bottom: -15px;
    border-left: 20px solid #fff;
    padding: 10px 0;
    z-index: 1;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: rgba(0, 0, 0, .85);
    background: -webkit-gradient(linear, left top, right top, from(rgba(255, 255, 255, 1)), color-stop(45%, rgba(255, 255, 255, 1)), color-stop(46%, rgba(255, 255, 255, 0)));
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 1) 45%, rgba(255, 255, 255, 0) 46%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#00ffffff', GradientType=1);
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}


/*Add the arrow after the read more links*/

.ds-home-blog a.more-link:after {
    content: '→';
    color: #58C1C4;
    font-size: 20px;
    margin-left: 10px;
    position: absolute;
    right: -30px;
    top: 8px;
    opacity: 0;
    -webkit-transition: all 0.8s;
    transition: all 0.8s;
}


/*Move the read more link on hover*/

.ds-home-blog a.more-link:hover {
    right: 30px;
}


/*Move the arrow on hover*/

.ds-home-blog a.more-link:hover:after {
    opacity: 1;
    right: -30px;
}


/*Move the bottom border and read more link on smaller screens*/

@media only screen and (max-width: 1280px) {
    .ds-home-blog .et_pb_post:after {
        top: 20px;
    }
    .ds-home-blog a.more-link {
        bottom: -38px;
    }
}

@media only screen and (max-width: 1080px) {
    .ds-home-blog .et_pb_post {
        margin-bottom: 80px;
    }
}

@media only screen and (max-width: 980px) {
    .ds-home-blog .et_pb_post img {
        width: 100%;
        margin-bottom: 30px;
    }
    .ds-home-blog .et_pb_post .post-meta a,
    .ds-home-blog .et_pb_post:after,
    .ds-home-blog .et_pb_post:before {
        display: none;
    }
    .ds-home-blog a.more-link {
        background: transparent;
        left: 0;
        border-left: none;
    }
    .ds-home-blog a.more-link:after {
        position: relative;
        left: 0;
        top: 0;
    }
}